package com.fufan.mtsaas.modules.sysmgr.common.msg;

import java.util.List;

public class Msg<T> {
    /**
     * 状态代码
     */
    private String code;
    /**
     * 信息内容
     */
    private String content;
    /**
     * 返回数据
     */
    private List<T> data;

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public List<T> getData() {
        return data;
    }

    public void setData(List<T> data) {
        this.data = data;
    }

    @Override
    public String toString() {
        return "msg{" +
                "code='" + code + '\'' +
                ", content='" + content + '\'' +
                ", data=" + data +
                '}';
    }
}
